import './demo14.css';
import Grid from '../../grid';
import React from 'react';
import ReactDOM from 'react-dom';
import Tab from '..';
const { Row, Col } = Grid;
const tabs = (function (length) {
    const arr = [];
    for (let i = 1; i < length; i++) {
        arr.push({ tab: `tab ${i}`, key: i, content: `tab ${i} content` });
    }
    return arr;
})(15);
ReactDOM.render(React.createElement("div", { className: "custom-wrapper" },
    React.createElement(Row, { className: "custom-row" },
        React.createElement(Col, { fixedSpan: "12", className: "custom-col-sidebar" }, "Sidebar"),
        React.createElement(Col, { className: "custom-col-content" },
            React.createElement(Tab, null, tabs.map(item => (React.createElement(Tab.Item, { key: item.key, title: item.tab }, item.content))))))), document.getElementById('tab-demo-14'));
